---
layout: docs
page_title: 'Commands: deployment list'
description: |
  The deployment list command is used to list deployments.
---

# Command: deployment list

The `deployment list` command is used list all deployments.

## Usage

```plaintext
nomad deployment list [options]
```

The `deployment list` command requires no arguments.

When ACLs are enabled, this command requires a token with the 'read-job'
capability for the deployment's namespace.

## General Options

@include 'general_options.mdx'

## List Options

- `-json` : Output the deployments in their JSON format.
- `-filter`: Specifies an expression used to filter query results.
- `-t` : Format and display the deployments using a Go template.
- `-verbose`: Show full information.

## Examples

List all tracked deployments:

```shell-session
$ nomad deployment list
ID        Job ID   Job Version  Status      Description
8990cfbc  example  2            failed      Deployment marked as failed
62eb607c  example  1            successful  Deployment completed successfully
5f271fe2  example  0            successful  Deployment completed successfully
```
